#include <lpc214x.h>
#include "display.h"
#include "MCP2515.h"
#include "SPI.h"
#include "adc.h"



int main()
{
 unsigned char res;
 unsigned int temp=0;
 CanMessage msg1;

 IODIR0 |= 0x00010000 ;

 msg1.extended_identifier=0;
 msg1.identifier = 2;
 msg1.dlc = 1;

 msg1.rtr = 0;
 msg1.filhit = 0;


lcd_init();
delay(20);

Init();
delay(30);

ADC0_Init();
delay(20);

lcdcmd(1);
msgdisplay(" presenting ");
lcdcmd(0xc0);
msgdisplay("CAN PROTOCOL");
delay(1000);

mcp2515_RESET();
delay(10);

res = can_init(CAN_20KBPS);

 lcdcmd(1);
 if(res == CAN_OK)
  msgdisplay("OK");
 
 else
   msgdisplay("NOT OK");
 delay(1000);
 
 lcdcmd(1);
 if(mcp2515_setCANCTRL_Mode(MODE_NORMAL) == MCP2515_OK)
  	msgdisplay("NORMAL MODE");
 else
   	msgdisplay("ERROR");  

 delay(1000);



  

 lcdcmd(1);
 msgdisplay("TEMP:");
 delay(200);

 while(1)  
 {
   temp = adc0_channel_1();
   temp = temp/10;
   lcdcmd(0x86);
   convert(temp);
   lcddata(' ');

   msg1.identifier = 2;
   msg1.dta[0] = temp;
   can_sendMessage(&msg1);
  delay(1000);




 }
   



}

